PDA

View Full Version : Novell Custom Center Configuration issue



gniecka
25-Sep-2013, 12:02
Dear all,

when I try to set up it for the first time I get error message:
screenshot (http://screencast.com/t/ouoEjIBp5S)

Regards
GN

smflood
25-Sep-2013, 12:24
On 25/09/2013 12:04, gniecka wrote:

> when I try to set up it for the first time I get error message:
> 'screenshot' (http://screencast.com/t/ouoEjIBp5S)

By "set up it for the first time" do you mean when you attempt to
register the machine with the Novell Customer Center or something else?

Since you've posted in a forum for SUSE Linux Enterprise Server which
version of SLES are you using? Please post the output from "cat
/etc/*release".

The URL displayed in your screenshot is not for a standard SLES
repository so you would appear to have added some third-party ones. Why?

HTH.
--
Simon
SUSE Knowledge Partner

------------------------------------------------------------------------
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below. Thanks.
------------------------------------------------------------------------

gniecka
25-Sep-2013, 13:39
cat /etc/*release
SUSE Linux Enterprise Server 11 (x86_64)
VERSION = 11
PATCHLEVEL = 2



The URL displayed in your screenshot is not for a standard SLES
repository so you would appear to have added some third-party ones. Why?


This is the "default" repository path within my Novell Customer Center - to what path should I change it?

Regards

malcolmlewis
25-Sep-2013, 13:58
On Wed 25 Sep 2013 12:44:02 PM CDT, gniecka wrote:


> cat /etc/*release
> SUSE Linux Enterprise Server 11 (x86_64)
> VERSION = 11
> PATCHLEVEL = 2

smflood;16521 Wrote:
>
> The URL displayed in your screenshot is not for a standard SLES
> repository so you would appear to have added some third-party ones.
> Why?
>

This is the "default" repository path within my Novell Customer Center -
to what path should I change it?

Regards




Hi
Can you show the full list of repositories via the command line;


zypper lr -d

If you post text ouput can you use code tags around the output it's the
# in the advanced editor on the forum.

The target repo your pointing at doesn't exist anymore on the Open Build
Service...

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 12.3 (x86_64) GNOME 3.8.4 Kernel 3.7.10-1.16-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

jmozdzen
25-Sep-2013, 14:03
Hi gniecka,

> This is the "default" repository path within my Novell Customer Center - to what path should I change it?

I doubt that - it's the path of an OpenSUSE repository that no longer (?) has SLE in its list of supported distributions. In other words - that's the URL of a repository that was (manually) added by someone when adding packet sources for non-supported stuff.

In case you still need these packages, I recommend to look for a new source, and in the meantime you ought to at least disable that repository (http://download.opensuse.org/repositories/X11:/xfce/) to get across the reported error.

This is *not* an error with NCC nor SLES, but a simple case of an unsupported extra repository that doesn't support your platform (anymore).

Regards,
Jens

gniecka
25-Sep-2013, 14:17
In case you still need these packages, I recommend to look for a new source
Regards,
Jens

Jens,
could You provide me new repository to add ?

Regards

gniecka
25-Sep-2013, 14:22
Hi
Can you show the full list of repositories via the command line;


zypper lr -d



HANA01:~ # zypper lr -d
| Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
--+-----------------+-----------------+---------+---------+----------+--------+-----------------------------------------------------------+--------
1 | X11:xfce_SLES11 | X11:xfce_SLES11 | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/repositories/X11:xfce/SLE_11 |


The target repo your pointing at doesn't exist anymore on the Open Build Service...
Could you give me new repository URL?

Regards
GN

malcolmlewis
25-Sep-2013, 14:41
On Wed 25 Sep 2013 01:24:02 PM CDT, gniecka wrote:


malcolmlewis;16531 Wrote:
> Hi
> Can you show the full list of repositories via the command line;
> >
Code:
--------------------
> >
> zypper lr -d
>
--------------------
> >
>

Code:
--------------------
HANA01:~ # zypper lr -d
| Alias | Name | Enabled | Refresh | Priority |
Type | URI |
Service
--+-----------------+-----------------+---------+---------+----------+--------+-----------------------------------------------------------+--------
1 | X11:xfce_SLES11 | X11:xfce_SLES11 | Yes | Yes | 99 |
rpm-md | http://download.opensuse.org/repositories/X11:xfce/SLE_11 |
--------------------

> The target repo your pointing at doesn't exist anymore on the Open
> Build Service...
Could you give me new repository URL?

Regards
GN




Hi
There is no xfce pattern on the open build service for SLE, so there is
no URL to give....

Is this a new install of SLES 11 SP3, or an older system out of
support, since you have no active repositories?

What is the reason to try and install xfce, is this because your
familiar with the environment, or just wanting a lightweight X windows?
There are alternatives by default, iceWM and twm?

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 12.3 (x86_64) GNOME 3.8.4 Kernel 3.7.10-1.16-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

gniecka
25-Sep-2013, 14:52
Is this a new install of SLES 11 SP3, or an older system out of
support, since you have no active repositories?

This is new install of SLES11 Enterprise dedicated for SAP HANA with default setting - I have not add or change my repo - it was preconfigured.

I have ordered SLES X86 2 Socket Subs Only 3Yr and I believe when I get this subscription I can register my system and repos will uptade according to this thread:
https://forums.suse.com/showthread.php?1066-SLES-11-SP2-repository-URLs

Regards
GN

malcolmlewis
25-Sep-2013, 15:42
This is new install of SLES11 Enterprise dedicated for SAP HANA with default setting - I have not add or change my repo - it was preconfigured.

I have ordered SLES X86 2 Socket Subs Only 3Yr and I believe when I get this subscription I can register my system and repos will uptade according to this thread:
https://forums.suse.com/showthread.php?1066-SLES-11-SP2-repository-URLs

Regards
GN
Hi
Grab a temporary activation code here;
http://download.novell.com/Download?buildid=7VOt4b-efjo&ref=suse

You will need to log in, then use YaST Customer Center and tempory code to activate the system, this will add the online repositories. When you get the full ones, you can remove the system via NNC, then go back to YaST Customer Center and re-register with the full codes.

You should then be fine to install a lightweight eg, iceWM for X applications.

An alternative is to use ssh (with the -X option) to the system, say via another linux system running X windows and run GUI applications, if from a windows machine something like putty and Xming would suffice.

gniecka
26-Sep-2013, 10:13
You will need to log in, then use YaST Customer Center and tempory code to activate the system, this will add the online repositories.
I get temporary activation code, but using YaST Customer Center I have no option to enter it, screenshot from Yast:
http://screencast.com/t/1RrPT2iTL

When I try to activate using command line I get error about reporistory mismatch - what should be correct repo for my SLES while I can't update it online?

HANA01:~ # suse_register -a regcode-sles=xxx -a email=nieca@xxx -L /root/.suse_register.log
All services have been refreshed.
Retrieving repository 'X11:xfce_SLES11' metadata [.....
Abort, retry, ignore? [a/r/i/?] (a): a
error]
File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/X11:xfce/SLE_11'

Repository 'X11:xfce_SLES11' is invalid.
[|] Valid metadata not found at specified URL(s)
Please check if the URIs defined for this repository are pointing to a valid repository.
Skipping repository 'X11:xfce_SLES11' because of the above error.
Could not refresh the repositories because of errors.
Ignored(34)
All services have been refreshed.
Retrieving repository 'X11:xfce_SLES11' metadata [........
Abort, retry, ignore? [a/r/i/?] (a): a
error]
File '/repodata/repomd.xml' not found on medium 'http://download.opensuse.org/repositories/X11:xfce/SLE_11'

Repository 'X11:xfce_SLES11' is invalid.
[|] Valid metadata not found at specified URL(s)
Please check if the URIs defined for this repository are pointing to a valid repository.
Skipping repository 'X11:xfce_SLES11' because of the above error.
Could not refresh the repositories because of errors.
Ignored(34)
Registration finished successfully

malcolmlewis
26-Sep-2013, 12:21
On Thu 26 Sep 2013 09:14:02 AM CDT, gniecka wrote:


malcolmlewis;16543 Wrote:
> You will need to log in, then use YaST Customer Center and tempory
> code to activate the system, this will add the online repositories.
I get temporary activation code, but using YaST Customer Center I have
no option to enter it, screenshot from Yast:
http://screencast.com/t/1RrPT2iTL

When I try to activate using command line I get error about reporistory
mismatch - what should be correct repo for my SLES while I can't update
it online?

Code:
--------------------
HANA01:~ # suse_register -a regcode-sles=xxx -a email=nieca@xxx
-L /root/.suse_register.log All services have been refreshed.
Retrieving repository 'X11:xfce_SLES11' metadata [.....
Abort, retry, ignore? [a/r/i/?] (a): a
error]
File '/repodata/repomd.xml' not found on medium
'http://download.opensuse.org/repositories/X11:xfce/SLE_11'
Repository 'X11:xfce_SLES11' is invalid.
[|] Valid metadata not found at specified URL(s)
Please check if the URIs defined for this repository are pointing to
a valid repository. Skipping repository 'X11:xfce_SLES11' because of
the above error. Could not refresh the repositories because of errors.
Ignored(34)
All services have been refreshed.
Retrieving repository 'X11:xfce_SLES11' metadata [........
Abort, retry, ignore? [a/r/i/?] (a): a
error]
File '/repodata/repomd.xml' not found on medium
'http://download.opensuse.org/repositories/X11:xfce/SLE_11'
Repository 'X11:xfce_SLES11' is invalid.
[|] Valid metadata not found at specified URL(s)
Please check if the URIs defined for this repository are pointing to
a valid repository. Skipping repository 'X11:xfce_SLES11' because of
the above error. Could not refresh the repositories because of errors.
Ignored(34)
Registration finished successfully

--------------------




Hi
You need to delete that repository either via YaST Software
repositories or via zypper from the command line. Then try activation,
probably easier via command line;



suse_register -a regcode-sles=YourActivationCode -a email=YourEmailAddress -a moniker=YourHostname -L .suse_register.log


--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 12.3 (x86_64) GNOME 3.8.4 Kernel 3.7.10-1.16-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

gniecka
26-Sep-2013, 12:36
Done.
But what about repos? Now my list is empty...

jmozdzen
26-Sep-2013, 12:51
Hi gniecka,

> But what about repos? Now my list is empty...

registering your server should automatically add the SLES-specific repositories to the list. Do I understand it correctly that, after successfully registering your server, the repository list is empty?

If this is true, you might want to re-run suse_register with the parameters "-L some_log_file" and "-r" (from "suse_register -h": "-r [--restore-repos] restore all repositories, also deleted once by the user"). If that doesn't return an error and "zypper lr" doesn't list any repositories afterwards, it'd be interesting to see if there is any useful information in the log file (specified via the "-L" parameter to suse_register).

Regards,
Jens